Bug 554419 - Local password policies should inherit settings from the global policy
Local password policies should inherit settings from the global policy
Status: CLOSED DUPLICATE of bug 553736
Product: 389
Classification: Community
Component: Security - Password Policy (Show other bugs)
1.2.1
All Linux
low Severity medium
: ---
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-11 11:54 EST by Nathan Kinder
Modified: 2015-01-04 18:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-19 12:34:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan Kinder 2010-01-11 11:54:35 EST
The fact that local password policies do not inherit settings from the global policy has caused quite a bit of confusion.   Ideally, a password policy setting not defined at the local policy level would cause the global value for that setting to be used.  This allows one to create a local password policy to simply override a few attributes from the global policy instead of having to duplicate much of the global policy to get the same result.

This feature should be relatively easy to implement by changing the new_passwdPolicy() function to duplicate the global policy struct before filling in the local settings.  This function currently just uses calloc() to create an empty struct prior to loading the local policy values.

Note You need to log in before you can comment on or make changes to this bug.